> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# (Deprecated) Resume job

> This endpoint has been deprecated. Partners should use the resume aggregation endpoint in its place, as outlined in the Nexus guide. When an institution allows for multi-factor authentication and MFA member credentials aren't yet created for that user, the job enters a `CHALLENGED` state. Once member credentials have been created, the resume endpoint is called for that job to resume the aggregation.



## OpenAPI

````yaml openapi/nexus/v1.yaml GET /jobs/{job_guid}/resume
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /jobs/{job_guid}/resume:
    get:
      tags:
        - jobs
      summary: (Deprecated) Resume job
      description: >-
        This endpoint has been deprecated. Partners should use the resume
        aggregation endpoint in its place, as outlined in the Nexus guide. When
        an institution allows for multi-factor authentication and MFA member
        credentials aren't yet created for that user, the job enters a
        `CHALLENGED` state. Once member credentials have been created, the
        resume endpoint is called for that job to resume the aggregation.
      operationId: resumeJob
      parameters:
        - name: job_guid
          description: The unique identifier for the job. Defined by MX.
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.nexus.v1+json:
              schema:
                $ref: '#/components/schemas/JobResponseBody'
components:
  schemas:
    JobResponseBody:
      properties:
        job:
          $ref: '#/components/schemas/JobResponse'
      type: object
    JobResponse:
      properties:
        created_at:
          example: '2022-06-16T18:42:30.000Z'
          description: Date and time the job was created, ISO 8601 format.
          type: string
        error_message:
          example: null
          nullable: true
          description: Error message if the job returns an error.
          type: string
        error_message_code:
          example: null
          nullable: true
          description: Error message code if the job returns an error.
          type: string
        finished_at:
          example: '2022-06-16T18:42:43.000Z'
          description: Date and time the job finished, ISO 8601 format.
          type: string
        guid:
          example: JOB-e386a323-e452-47f2-b2fd-1ac3c18533de
          description: Unique identifier for the job, defined by MX.
          type: string
        institution_guid:
          example: INS-1572a04c-912b-59bf-5841-332c7dfafaef
          type: string
          description: Unique identifier for the institution, defined by MX.
        is_authenticated:
          example: true
          type: boolean
          description: If the member's credentials have been authenticated.
        member_guid:
          example: MBR-84ca0882-ad6c-4f10-817f-c8c0de7424fa
          type: string
          description: Unique identifier for the member, defined by MX.
        started_at:
          example: '2022-06-16T18:42:30.000Z'
          type: string
          description: Date and time the job started, ISO 8601 format.
        status:
          example: 6
          description: The status of the job. See Job Status for more information.
          type: integer
        status_name:
          example: COMPLETED
          description: The name of the job status. See Job Status for more info.
          type: string
        updated_at:
          example: '2022-06-16T18:42:43.000Z'
          type: string
          description: Date and time the job was updated, ISO 8601 format.
        user_guid:
          example: USR-11141024-90b3-1bce-cac9-c06ced52ab4c
          type: string
          description: Unique identifier for the user, defined by MX.
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````